CREATE PROCEDURE [dbo].[BO_CheckPasswordResetToken]	
	@Token VARCHAR(255)
AS
	DECLARE @Result bit;
	SELECT @Result = CASE WHEN EXISTS(SELECT 1 FROM Users WHERE PasswordResetToken = @Token) THEN 1 ELSE 0 END
RETURN @Result